

$(function(){
/*向下滚动时，header背景变半透明*/
$(document).scroll(function() {
	var top = $(document).scrollTop();
	if (top == 0) {
		$("#header").css("background", "rgba(255,132,0,1)");
		$(".personal-infor").css("opacity", "1");
	} else {
		$("#header").css("background", "rgba(255,132,0,0.8)");
		$(".personal-infor").css("opacity", "0.8");

	}
	if (top != 0) {
		$(".searchbox").fadeIn(1000);

	} else {
		$(".searchbox").fadeOut(1000);
	}
	//小搜索框滚动大于等于350,显示在头部
	if (top >= 350) {
		$("#serc-index").fadeIn(1000);

	} else {
		$("#serc-index").fadeOut(1000);

	}

	if (top >= 300) {
		$(".content-left").css({
			"position": "fixed",
			"top": "80px"
		})
	} else {
		$(".content-left").css({
			"position": "static"
		})
	}
	
	//咨询框弹出
	if (top >= 100) {
		$(".coulstblock").slideDown();
	} else {
		$(".coulstblock").slideUp();
	}
	
});
//加载页面时，判断是否登陆
//

var userid = $.cookie("userid");
if (userid && userid != "null" && userid != null) {
	$(".myWorkspace").attr("href","workspaces.html?"+userid);
	loginStatus();
}

//登陆个人信息下拉菜单
$('.head-portrait').hover(function() {
	$(".personal-infor").stop(true, false).slideDown(500);
}, function() {
	$(".personal-infor").stop(true, false).slideUp(500);
});

//搜索框跳转页面
function synContent(type) {
	if (type == 1) {
		$("#searchContent").val($("#hsearchContent").val());
	} else {
		$("#hsearchContent").val($("#searchContent").val());
	}
}
$("#hsearchContent").blur(function() {
	synContent(1);
});
$("#searchContent").blur(function() {
	synContent(2);
});


var lookFor = $("#lookFor ul li").index();
$("#lookFor ul li").on("click",function(){
	lookFor=$(this).index();
});
$("#search").on("click", function() {
	var searchContent = $("#searchContent").val();
	location.href = "search.html?searchContent=" + encodeURI(searchContent)+"&lookFor=" + lookFor;
});

//enter绑定时间
$("input").keydown(function(e){
	if(e.which==13) {
		synContent(2);
		synContent(1);		
	 var searchContent = $("#searchContent").val();
		location.href = "search.html?searchContent=" + encodeURI(searchContent)+"&lookFor=" + lookFor;
	}
	
})
$("#hsearch").on("click", function() {
	var searchContent = $("#hsearchContent").val();
	location.href = "search.html?searchContent=" + encodeURI(searchContent);
});

//热门领域
$(".field").bind("click",function(){
	location.href = "search.html?subject=" + encodeURI($(this).text());
})
//热门专家
$('.professor').hover(function() {
	$(this).find(".professor-data").stop(true, false).animate({
		"padding": "94px 0",
		"top": "-50px"
	})
}, function() {
	$(this).find(".professor-data").stop(true, false).animate({
		"padding": "25px 0",
		"top": "58%"
	})
})


})
